#ifndef ADDNEWSPECSFORM_H
#define ADDNEWSPECSFORM_H

#include <QWidget>
#include "struct_/projectinfo.h"
#include "globalinfo.h"
#include "handle/projectinfomanger.h"
#include "handle/httprequest.h"

namespace Ui {
class AddNewSpecsForm;
}

class AddNewSpecsForm : public QWidget
{
    Q_OBJECT

public:
    explicit AddNewSpecsForm(QWidget *parent = nullptr);
    ~AddNewSpecsForm();

private slots:
    void init();
    void on_StartButton_clicked();
    void result(int code, const QJsonObject & body);

    void on_backButton_clicked();

    void on_backButton_2_clicked();

private:
    void projectData();

signals:
    void back();

private:
    QSharedPointer<ProjectInfo> project;
    QSharedPointer<ProjectInfoManger> projectinfo;
    GlobalInfo * glo = GlobalInfo::this_();

    HttpRequest request;

private:
    Ui::AddNewSpecsForm *ui;
};

#endif // ADDNEWSPECSFORM_H
